[CentOS-devel] build errors with some RHEL6 packages

Farkas Levente lfarkas at lfarkas.org
Sat Nov 13 09:40:24 EST 2010


On 11/13/2010 02:17 PM, Karanbir Singh wrote:
> On 11/13/2010 08:25 AM, Farkas Levente wrote:
>> - what os, version do you use on build hosts?
> 
> CentOS-5.5

this probably not the best thing since in this case the build host's
kernel version only 2.6.18, which can cause degraded glibc result.
that's the reason why all fedora buildsys are rhel-6(beta) see:
http://lists.fedoraproject.org/pipermail/devel/2010-July/139255.html

>> - which version of mock and ccache do you use?
> 
> no ccache, mock-0.6.3

which is more then 4 years old. since then many things happened...

>> - and what mock config do you use?
> 
> nothing interesting in the mock configs.
> 
>> since it's well known that there are some packages (like bash, nss)
> 
> because you have those problems, does not mean everyone else will.

because you don't have those problems, does not mean nobody else have...
and that was the reason why i wrote this letter (as i assume the
difference is the build environment).

>> which can not be build in mock on rhel-6:
>> https://bugzilla.redhat.com/show_bug.cgi?id=613392
>> https://bugzilla.redhat.com/show_bug.cgi?id=609201
>> so it's rather strange that build complete without issues.
> 
> Speak to the people who have the problems ? These packages have all 
> clearly built not only for fedora, but also for red hat - and going by 
> the changelogs, quite a few times.

i spoken and rh already verified it, but as rh official build way is
rpmbuild and not mock (see:
https://bugzilla.redhat.com/show_bug.cgi?id=613392#c4) they not really
care about it.
the reason why it's working for you probably your very old mock version
and centos-5 build hosts.

-- 
  Levente                               "Si vis pacem para bellum!"


More information about the CentOS-devel mailing list